Dancer::Logger::Abstract(3pm)

NAME
Dancer::Logger::Abstract - Abstract logging engine for Dancer

VERSION
version 1.3522

SYNOPSIS
In your configuration file:

    # default
    logger_format: simple
    # [1234] debug @0.12> [hit #123]message from your log in File.pm line 12

    # custom
    logger_format: %m %{%H:%M}t [%{accept_type}h]
    # message from your log [11:59] [text/html]

DESCRIPTION
This is an abstract logging engine that provides loggers with basic functionality and some sanity checking.

CONFIGURATION

  logger_format
This is a format string (or a preset name) to specify the log format.

The possible values are:

%h  host emitting the request

%t  date (local timezone, formatted like %d/%b/%Y %H:%M:%S)

%T  date (local timezone, formatted like %Y-%m-%d %H:%M:%S)

%u  date (UTC timezone, formatted like %d/%b/%Y %H:%M:%S)

%U  date (UTC timezone, formatted like %Y-%m-%d %H:%M:%S)

%P  PID

%L  log level

%D  timer

%m  message

%f  file name that emit the message

%l  line from the file

%i  request ID

%{$fmt}t
    timer formatted with a valid time format

%{header}h
    header value

There is currently a single preset log format:

simple
    will format the message like: [%P] %L @%D> %i%m in %f l. %l

METHODS

  format_message
Provides a common message formatting.

  core
Logs messages as core.

  debug
Logs messages as debug.

  warning
Logs messages as warning.

  error
Logs messages as error.

  info
Logs messages as info.

  _log
A method to override. If your logger does not provide this, it will cause the application to die.

  _should
Checks a certain level number against a certain level type (core, debug, info warning, error).

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.